OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions | Variables
errcode.h File Reference
`#include "ompi_config.h"`
`#include "mpi.h"`
`#include "opal/class/opal_object.h"`
`#include "opal/class/opal_pointer_array.h"`

Go to the source code of this file.

## Data Structures
struct | ompi_mpi_errcode_t
| Back-end type for MPI error codes. More...

## Typedefs
typedef struct ompi_mpi_errcode_t | ompi_mpi_errcode_t

## Functions
static bool | ompi_mpi_errcode_is_invalid (int errcode)
| Check for a valid error code.
static int | ompi_mpi_errcode_get_class (int errcode)
| Return the error class.
static int | ompi_mpi_errcode_is_predefined (int errcode)
static int | ompi_mpi_errnum_is_class (int errnum)
static char * | ompi_mpi_errnum_get_string (int errnum)
| Return the error string.
int | ompi_mpi_errcode_init (void)
| Initialize the error codes. More...
int | ompi_mpi_errcode_finalize (void)
| Finalize the error codes. More...
int | ompi_mpi_errcode_add (int errclass)
| Add an error code. More...
int | ompi_mpi_errclass_add (void)
| Add an error class. More...
int | ompi_mpi_errnum_add_string (int errnum, char *string, int len)
| Add an error string to an error code. More...

## Variables
OMPI_DECLSPEC opal_pointer_array_t | ompi_mpi_errcodes
OMPI_DECLSPEC int | ompi_mpi_errcode_lastused
OMPI_DECLSPEC int | ompi_mpi_errcode_lastpredefined
OMPI_DECLSPEC ompi_mpi_errcode_t | ompi_err_unknown

## Function Documentation

int ompi_mpi_errclass_add | ( | void |  | ) |

Add an error class.

Parameters

  | none

Returns
  the new error class on SUCCESS (>0)
  OMPI_ERROR otherwise

References opal_pointer_array_set_item().

int ompi_mpi_errcode_add | ( | int | errclass | ) |

Add an error code.

Parameters

  | error class to which this new error code belongs to

Returns
  the new error code on SUCCESS (>0)
  OMPI_ERROR otherwise

References opal_pointer_array_set_item().

int ompi_mpi_errcode_finalize | ( | void |  | ) |

Finalize the error codes.

Returns
  OMPI_SUCCESS Always

Invokes from ompi_mpi_finalize(); tears down the error code array.

References OBJ_DESTRUCT, OBJ_RELEASE, and opal_pointer_array_get_item().

Referenced by ompi_mpi_finalize().

int ompi_mpi_errcode_init | ( | void |  | ) |

Initialize the error codes.

Returns
  OMPI_SUCCESS Upon success
  OMPI_ERROR Otherwise

Invoked from ompi_mpi_init(); sets up all static MPI error codes,

References OBJ_CONSTRUCT, and opal_pointer_array_init().

Referenced by ompi_mpi_init().

int ompi_mpi_errnum_add_string | ( | int | errnum,
|  | char * | string,
|  | int | len
| ) |  |

Add an error string to an error code.

Parameters

  | error code for which the string is defined
  | error string to add
  | length of the string

Returns
  OMPI_SUCCESS on success
  OMPI_ERROR on error

References opal_pointer_array_get_item().